Could not find GitLab project with id

Hi everyone,
I have been getting this error every time I close psychoPy and it doesn’t work. Any suggestions? Thanks!

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/boot.py”, line 197, in
File “/Applications/PsychoPy.app/Contents/Resources/boot.py”, line 166, in _run
File “/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py”, line 102, in
File “/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py”, line 98, in main
File “/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py”, line 27, in start_app
AttributeError: ‘NoneType’ object has no attribute ‘MainLoop’

Hi There,

Please can you share more info on your operating system, if you are running psychopy builder or coder, what version of psychopy you are using etc.

Thanks,
Becca

Hi @Becca,

Thanks for the reply! I use a MacOS Big Sur version 11.5 and my PsychoPy is version 2022.1.0, but I had version 2022.1.1 and it came up with the same error. Let me know if you can think of any fixes. Thanks!!

Elise

Thanks Elise, did you have a specific task created and this error occured when you tried to run that ? or did this error happen when trying to run any of the demo tasks too?

Thanks,
Becca

Hi @Becca ,

I’ve had tasks created for a while and they run smoothly offline. When I try to upload them to Pavlovia, that internal error appears and it says to contact the developers. If there’s anything I can do please let me know I’m in a time crunch! Thanks!

Elise

I’m now getting this error when attempting to upload to Pavlovia

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/app/pavlovia_ui/project.py”, line 503, in sync
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/app/pavlovia_ui/sync.py”, line 46, in sync
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/projects/pavlovia.py”, line 761, in sync
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/projects/pavlovia.py”, line 803, in pull
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/projects/pavlovia.py”, line 793, in pull
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/git/cmd.py”, line 542, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/git/cmd.py”, line 1005, in _call_process
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/git/cmd.py”, line 822, in execute
git.exc.GitCommandError: Cmd(‘/Applications/PsychoPy.app/Contents/Resources/git-core/git’) failed due to: exit code(1)
cmdline: /Applications/PsychoPy.app/Contents/Resources/git-core/git pull Sign in · GitLab master
stderr: ‘fatal: could not read Username for ‘https://gitlab.pavlovia.org’: Device not configured’

Along with the same message of contacting the developers :confused:

Just to check - are you signed into pavlovia in psychopy ? you can check using this setting AttributeError when creating new Pavlovia project from Builder - #5 by bastosfh


I believe so!

Hi again Becca,

I am now unable to open any of my files and am getting the following (new) error.

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/exceptions.py”, line 304, in wrapped_f
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/mixins.py”, line 112, in get
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/client.py”, line 662, in http_get
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/client.py”, line 628, in http_request
gitlab.exceptions.GitlabHttpError: 404: 404 Project Not Found

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/app/_psychopyApp.py”, line 653, in MacOpenFile
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/app/_psychopyApp.py”, line 589, in newBuilderFrame
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/app/builder/builder.py”, line 208, in init
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/app/builder/builder.py”, line 735, in fileOpen
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/projects/pavlovia.py”, line 1253, in getProject
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/v4/objects/projects.py”, line 782, in get
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/exceptions.py”, line 306, in wrapped_f
gitlab.exceptions.GitlabGetError: 404: 404 Project Not Found

Please can you share a screenshot of your task folder location? There should be a hidden git like this if you request to show hidden files

Hi @Becca, is this what you mean? I apologize, I’m a bit of a novice if you hadn’t noticed!!

That’s exactly right. OK so what’s odd is that your folder contains a .git file but no .psyexp file - where is it that your builder .psyexp file is currently stored relative to that .git file?

Thanks,
Becca

@Becca There are .psyexp files in both “SlashFinal” and “ZFinal” folders

OK that will be the problem. You want one .git in the same folder as your .psyexp. So I would suggest deleting that .git file you show in your screenshot > close and reopen psychopy > try to resync a project > you will be prompted to make a new project - it should make one .git in the same location as your psyexp

Thanks @Becca! I’m able to open the files now! However, now I am getting one of two errors:

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/app/pavlovia_ui/menu.py”, line 127, in onNew
AttributeError: ‘NoneType’ object has no attribute ‘username’

or when sync a current program

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/exceptions.py”, line 304, in wrapped_f
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/mixins.py”, line 112, in get
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/client.py”, line 662, in http_get
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/client.py”, line 628, in http_request
gitlab.exceptions.GitlabHttpError: 404: 404 Project Not Found

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/projects/pavlovia.py”, line 633, in project
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/v4/objects/projects.py”, line 782, in get
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/gitlab/exceptions.py”, line 306, in wrapped_f
gitlab.exceptions.GitlabGetError: 404: 404 Project Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/app/pavlovia_ui/menu.py”, line 113, in onSync
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/app/pavlovia_ui/project.py”, line 665, in syncProject
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/projects/pavlovia.py”, line 716, in localRoot
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.8/psychopy/projects/pavlovia.py”, line 636, in project
KeyError: ‘Could not find GitLab project with id 212085.’